<?php

declare(strict_types=1);

namespace Flowaxy\Contracts\Cache;

// Інтерфейс для Cache Warmer
interface CacheWarmerInterface
{
    // Нагрівання кешу
    public function warm(): void;

    // Перевірка, чи підтримується нагрівання
    public function isOptional(): bool;
}
